Package org.eclipse.emf.cdo.server.db.evolution.phased

# Enum Class PhasedModelEvolutionSupport.Mode

java.lang.Object
java.lang.Enum<PhasedModelEvolutionSupport.Mode>
org.eclipse.emf.cdo.server.db.evolution.phased.PhasedModelEvolutionSupport.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<PhasedModelEvolutionSupport.Mode>`, `Constable`

Enclosing class:
  `PhasedModelEvolutionSupport`

public static enum PhasedModelEvolutionSupport.Mode extends Enum<PhasedModelEvolutionSupport.Mode>
Indicates the model evolution mode.

There are three modes:

- Disabled: Model evolution is disabled. No model changes are detected or evolved.
- Prevent: Model evolution is prevented. If model changes are detected, an exception is thrown.
- Migrate: Model evolution is enabled. If model changes are detected, the database is automatically migrated.

Since:
  4.14
Author:
  Eike Stepper
No Implement
  This package is currently considered provisional.
No Extend
  This package is currently considered provisional.
No Reference
  This package is currently considered provisional.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Disabled`
Model evolution is disabled.
`Migrate`
Model evolution is enabled.
`Prevent`
Model evolution is prevented.

## Method Summary

Modifier and Type
Method
Description
`static PhasedModelEvolutionSupport.Mode`
`parse(String str)`
Parses the given string into a Mode.
`static PhasedModelEvolutionSupport.Mode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PhasedModelEvolutionSupport.Mode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Disabled

public static final PhasedModelEvolutionSupport.Mode Disabled
Model evolution is disabled. No model changes are detected or migrated.

### Prevent

public static final PhasedModelEvolutionSupport.Mode Prevent
Model evolution is prevented. If model changes are detected, an exception is thrown.

### Migrate

public static final PhasedModelEvolutionSupport.Mode Migrate
Model evolution is enabled. If model changes are detected, the database is automatically migrated.

## Method Details

### values

public static PhasedModelEvolutionSupport.Mode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PhasedModelEvolutionSupport.Mode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### parse

public static PhasedModelEvolutionSupport.Mode parse(String str)
Parses the given string into a Mode.